<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class KurssucheFormularSightExtendedDivWithoutKurszeitraum extends KurssucheFormularSightExtendedDiv
{
  
  public function getColumns($justallowedcolumns = true)
  {
    parent::getColumns($justallowedcolumns);
    foreach ($this->columnsary as $key => $column) {
      if ($column->fieldname == 'kursbeginnzeitraum') {
        unset($this->columnsary[$key]);
        
        $this->columnsary = array_values($this->columnsary);
        break;
      }
    }
  }

  
  public function getData()
  {
    parent::getData();
    foreach ($this->dataary as $key => $data) {
      if ($data->fieldname == 'kursbeginnzeitraum') {
        unset($this->dataary[$key]);
        
        $this->dataary = array_values($this->dataary);
        break;
      }
    }
  }
}